:root {
  --blue-500: #337ab7;
  --blue-300: #419dec;
  --gray-400: #e3e3e3;
  --gray-600: #a6a3a3;
  --gray-800: #333;
  --green: #76B949;
  --red: red;
  --yellow: #f0ad4e;
  --white: #fff;
  --black: #000;
}

#loading_box {
  width: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  margin: 10px 0;
}
#loading_box svg {
  width: 60px;
  height: 60px;
  fill: var(--blue-500);
}

@keyframes fadeRight {
  0% {
    transform: translateX(-100px);
    opacity: 0;
  }
  50% {
    opacity: 0.3;
  }
  100% {
    opacity: 1;
    transform: translateX(0px);
  }
}
@keyframes fadeLeft {
  0% {
    transform: translateX(100px);
    opacity: 0;
  }
  50% {
    opacity: 0.3;
  }
  100% {
    transform: translateX(0px);
    opacity: 1;
  }
}
@keyframes fadeTop {
  0% {
    transform: translateY(50px);
    opacity: 0;
  }
  50% {
    opacity: 0.3;
  }
  100% {
    transform: translateY(0px);
    opacity: 1;
  }
}
#modificar__pedido > p {
  font-weight: bold;
  font-size: 28px;
}
#modificar__pedido .pedido__container {
  margin-top: 20px;
}
#modificar__pedido .pedido__container form {
  display: flex;
}
#modificar__pedido .pedido__container form .btn_label_input {
  width: 350px;
  position: relative;
}
#modificar__pedido .pedido__container form .btn_label_input input {
  width: 100%;
  background-color: var(--gray-400);
  border: none;
  padding: 10px 15px;
  color: var(--clear);
}
#modificar__pedido .pedido__container form .btn_label_input:after {
  content: "";
  display: block;
  position: absolute;
  bottom: 0px;
  left: 0px;
  width: 0%;
  height: 2px;
  transition: all 0.4s;
}
#modificar__pedido .pedido__container form .btn_label_input:focus-within:not(.invalid)::after {
  width: 100%;
  background-color: var(--blue-500);
}
#modificar__pedido .pedido__container form .btn_label_input.invalid input {
  border: 2px solid var(--red);
}
#modificar__pedido .pedido__container form button {
  margin-left: 30px;
  padding: 0px 30px;
  border-radius: 8px;
  border: none;
  background-color: var(--blue-500);
  color: var(--white);
  transition: all 0.4s;
  cursor: pointer;
}
#modificar__pedido .pedido__container form button:not(:disabled):hover {
  filter: brightness(0.8);
}
#modificar__pedido .pedido__container form button:disabled {
  opacity: 0.6;
  cursor: not-allowed;
}
#modificar__pedido .pedido__container .pedido__area {
  margin-top: 50px;
  min-height: 300px;
  padding-bottom: 60px;
}
#modificar__pedido .pedido__container .pedido__area .pedido__area__content {
  display: none;
  grid-template-columns: 1fr;
  grid-template-rows: auto auto;
  gap: 30px;
}
#modificar__pedido .pedido__container .pedido__area .pedido__area__content.pedido__area__content--active {
  display: grid;
}
#modificar__pedido .pedido__container .pedido__area .pedido__area__content.pedido__area__content--active .pedido__itens,
#modificar__pedido .pedido__container .pedido__area .pedido__area__content.pedido__area__content--active .pedido__status {
  animation: fadeRight 0.5s ease forwards;
}
#modificar__pedido .pedido__container .pedido__area .pedido__itens {
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  gap: 15px;
}
#modificar__pedido .pedido__container .pedido__area .pedido__itens .pedido__item {
  background-color: var(--gray-400);
  padding: 15px 25px;
  border-radius: 8px;
  border: 1px solid var(--black);
  width: 100%;
}
#modificar__pedido .pedido__container .pedido__area .pedido__itens .pedido__item p {
  font-size: 26px;
  font-weight: bold;
  margin: 0;
  color: var(--gray-800);
}
#modificar__pedido .pedido__container .pedido__area .pedido__itens .pedido__item p span {
  color: var(--blue-500);
}
#modificar__pedido .pedido__container .pedido__area .pedido__itens .pedido__center {
  display: flex;
  align-items: center;
}
#modificar__pedido .pedido__container .pedido__area .pedido__status {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  align-items: center;
}
#modificar__pedido .pedido__container .pedido__area .pedido__status .pedido__select {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  margin-bottom: 30px;
}
#modificar__pedido .pedido__container .pedido__area .pedido__status .pedido__select > p {
  text-align: center;
  font-size: 28px;
  font-weight: bold;
  justify-self: flex-start;
}
#modificar__pedido .pedido__container .pedido__area .pedido__status .pedido__select > p span {
  color: var(--blue-300);
  font-weight: bold;
  text-decoration: underline;
}
#modificar__pedido .pedido__container .pedido__area .pedido__status .pedido__select select {
  max-width: 400px;
  width: 100%;
  padding: 15px;
}
#modificar__pedido .pedido__container .pedido__area .pedido__status .pedido__select select:disabled {
  opacity: 0.4;
  cursor: not-allowed;
}
#modificar__pedido .pedido__container .pedido__area .pedido__status .pedido__concluido {
  display: none;
  justify-content: center;
  align-items: center;
  margin-bottom: 30px;
  width: 80%;
}
#modificar__pedido .pedido__container .pedido__area .pedido__status .pedido__concluido p {
  font-size: 18px;
  font-weight: bold;
  margin: 0 0 0 10px;
  text-align: center;
}
#modificar__pedido .pedido__container .pedido__area .pedido__status .pedido__concluido svg {
  fill: transparent;
  stroke: var(--green);
  stroke-width: 4px;
  stroke-dasharray: 950;
  stroke-dashoffset: 0;
  height: 100px;
  width: 100px;
}
#modificar__pedido .pedido__container .pedido__area .pedido__status .pedido__error {
  display: none;
  justify-content: center;
  align-items: center;
  margin-bottom: 30px;
  width: 80%;
}
#modificar__pedido .pedido__container .pedido__area .pedido__status .pedido__error p {
  font-size: 18px;
  font-weight: bold;
  margin: 0 0 0 10px;
  text-align: center;
}
#modificar__pedido .pedido__container .pedido__area .pedido__status .pedido__error svg {
  fill: transparent;
  stroke: var(--red);
  stroke-width: 1px;
  stroke-dasharray: 65;
  stroke-dashoffset: 0;
  height: 100px;
  width: 100px;
}
#modificar__pedido .pedido__container .pedido__area .pedido__status .pedido__loading {
  display: none;
  margin-bottom: 30px;
}
#modificar__pedido .pedido__container .pedido__area .pedido__status .pedido__area__criado {
  display: none;
  flex-direction: column;
}
#modificar__pedido .pedido__container .pedido__area .pedido__status .pedido__area__criado > p {
  font-size: 28px;
}
#modificar__pedido .pedido__container .pedido__area .pedido__status .pedido__area__criado > p span {
  font-weight: bold;
}
#modificar__pedido .pedido__container .pedido__area .pedido__status .pedido__area__criado .gavetas__disp {
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  row-gap: 50px;
  -moz-column-gap: 30px;
       column-gap: 30px;
  margin: 30px 0;
  position: relative;
}
#modificar__pedido .pedido__container .pedido__area .pedido__status .pedido__area__criado .gavetas__disp .card__gaveta {
  opacity: 0;
  transition: all 0.5s;
  cursor: pointer;
  padding: 15px;
  width: 100%;
  height: auto;
  background-color: var(--gray-400);
  border-radius: 8px;
  box-shadow: 0 0 0.5rem var(--blue-300);
  display: flex;
  flex-direction: column;
  transition: all 0.4s;
}
#modificar__pedido .pedido__container .pedido__area .pedido__status .pedido__area__criado .gavetas__disp .card__gaveta .gaveta__dimensao {
  text-align: center;
  font-weight: bold;
  transition: all 0.4s;
}
#modificar__pedido .pedido__container .pedido__area .pedido__status .pedido__area__criado .gavetas__disp .card__gaveta .gaveta__dimensao span {
  font-weight: normal;
}
#modificar__pedido .pedido__container .pedido__area .pedido__status .pedido__area__criado .gavetas__disp .card__gaveta .gaveta__tamanho {
  flex: 1;
  display: flex;
  justify-content: center;
  align-items: center;
}
#modificar__pedido .pedido__container .pedido__area .pedido__status .pedido__area__criado .gavetas__disp .card__gaveta .gaveta__tamanho p {
  font-size: 48px;
  font-weight: bold;
  color: var(--corp);
  transition: all 0.4s;
}
#modificar__pedido .pedido__container .pedido__area .pedido__status .pedido__area__criado .gavetas__disp .card__gaveta.not__selected {
  opacity: 0.4 !important;
}
#modificar__pedido .pedido__container .pedido__area .pedido__status .pedido__area__criado .gavetas__disp .card__gaveta.opacitySet {
  opacity: 1;
}
#modificar__pedido .pedido__container .pedido__area .pedido__status .pedido__area__criado .gavetas__disp .card__gaveta.fadeRightCard {
  animation: fadeRight 0.5s forwards;
}
#modificar__pedido .pedido__container .pedido__area .pedido__status .pedido__area__criado .gavetas__disp .card__gaveta:not(.not__selected):hover, #modificar__pedido .pedido__container .pedido__area .pedido__status .pedido__area__criado .gavetas__disp .card__gaveta.selected {
  background-color: var(--blue-500);
  box-shadow: 0 0 0.5rem var(--blue-300);
}
#modificar__pedido .pedido__container .pedido__area .pedido__status .pedido__area__criado .gavetas__disp .card__gaveta:not(.not__selected):hover .gaveta__dimensao, #modificar__pedido .pedido__container .pedido__area .pedido__status .pedido__area__criado .gavetas__disp .card__gaveta.selected .gaveta__dimensao {
  color: var(--white);
}
#modificar__pedido .pedido__container .pedido__area .pedido__status .pedido__area__criado .gavetas__disp .card__gaveta:not(.not__selected):hover .gaveta__tamanho p, #modificar__pedido .pedido__container .pedido__area .pedido__status .pedido__area__criado .gavetas__disp .card__gaveta.selected .gaveta__tamanho p {
  color: var(--white);
}
#modificar__pedido .pedido__container .pedido__area .pedido__status .pedido__area__depositado {
  display: none;
  justify-content: space-between;
  width: 100%;
  max-width: 800px;
  margin: 0 auto 30px auto;
}
#modificar__pedido .pedido__container .pedido__area .pedido__status .pedido__area__depositado label {
  display: block;
  height: 100%;
  width: 45%;
  position: relative;
  box-shadow: 0px 0px 10px var(--gray-400);
}
#modificar__pedido .pedido__container .pedido__area .pedido__status .pedido__area__depositado label input {
  height: 100%;
  width: 100%;
  padding: 15px 10px;
  border-top: none;
  border-left: none;
  border-right: none;
  border-bottom: 1px solid var(--gray-800);
  outline: none;
}
#modificar__pedido .pedido__container .pedido__area .pedido__status .pedido__area__depositado label::after {
  content: "";
  display: block;
  width: 0%;
  position: absolute;
  left: 0;
  bottom: 0;
  height: 3px;
  background-color: var(--blue-500);
  transition: all 0.3s;
}
#modificar__pedido .pedido__container .pedido__area .pedido__status .pedido__area__depositado label:not(.invalid):focus-within {
  box-shadow: 0px 0px 5px var(--blue-300);
}
#modificar__pedido .pedido__container .pedido__area .pedido__status .pedido__area__depositado label:not(.invalid):focus-within::after {
  width: 100%;
}
#modificar__pedido .pedido__container .pedido__area .pedido__status .pedido__area__depositado label.invalid {
  border: 2px solid var(--red);
}
#modificar__pedido .pedido__container .pedido__area .pedido__status button {
  padding: 20px 0px;
  border-radius: 16px;
  border: none;
  color: var(--white);
  font-weight: bold;
  transition: all 0.4s;
  cursor: pointer;
  max-width: 400px;
  width: 100%;
}
#modificar__pedido .pedido__container .pedido__area .pedido__status button:disabled {
  opacity: 0.4 !important;
  cursor: not-allowed;
}
#modificar__pedido .pedido__container .pedido__area .pedido__status button:not(:disabled):hover:not(:disabled):hover {
  filter: brightness(0.7);
}
#modificar__pedido .pedido__container .pedido__area .pedido__status button.pedido__button__recomecar {
  background-color: var(--yellow);
}
#modificar__pedido .pedido__container .pedido__area .pedido__status button.pedido__button__recomecar.block {
  display: block;
}
#modificar__pedido .pedido__container .pedido__area .pedido__status button.pedido__button__recomecar.none {
  display: none;
}
#modificar__pedido .pedido__container .pedido__area .pedido__status button.pedido__button {
  background-color: var(--blue-500);
}
#modificar__pedido .pedido__container .pedido__area .pedido__status button.pedido__button.block {
  display: block;
}
#modificar__pedido .pedido__container .pedido__area .pedido__status button.pedido__button.none {
  display: none;
}
#modificar__pedido .pedido__container .pedido__area .pedido__status.select__tipo__criado .pedido__area__criado {
  display: flex;
}
#modificar__pedido .pedido__container .pedido__area .pedido__status.select__tipo__depositado .pedido__area__depositado {
  display: flex;
}
#modificar__pedido .pedido__container .pedido__area .pedido__status.pedido__status__concluido .pedido__concluido {
  display: flex;
}
#modificar__pedido .pedido__container .pedido__area .pedido__status.pedido__status__concluido .pedido__concluido svg {
  animation: 1s desenharCorrect forwards;
}
#modificar__pedido .pedido__container .pedido__area .pedido__status.pedido__status__concluido .pedido__concluido p {
  animation: fadeTop 0.3s ease forwards;
}
#modificar__pedido .pedido__container .pedido__area .pedido__status.pedido__status__error .pedido__error {
  display: flex;
}
#modificar__pedido .pedido__container .pedido__area .pedido__status.pedido__status__error .pedido__error svg {
  animation: 1s desenharError forwards;
}
#modificar__pedido .pedido__container .pedido__area .pedido__status.pedido__status__error .pedido__error p {
  animation: fadeTop 0.3s ease forwards;
}
#modificar__pedido .pedido__container .pedido__area .pedido__status.pedido__status__loading .pedido__loading {
  display: block;
}
#modificar__pedido .pedido__container .pedido__area .pedido__area__error {
  height: 100%;
  display: none;
  justify-content: center;
  align-items: center;
}
#modificar__pedido .pedido__container .pedido__area.pedido__area--error .pedido__area__content {
  display: none;
}
#modificar__pedido .pedido__container .pedido__area.pedido__area--error .pedido__area__error {
  display: flex;
}
#modificar__pedido .pedido__container .models {
  display: none;
}
@media (max-width: 1080px) {
  #modificar__pedido .pedido__container form {
    flex-direction: column;
  }
  #modificar__pedido .pedido__container form .btn_label_input {
    width: 100%;
    position: relative;
  }
  #modificar__pedido .pedido__container form .btn_label_input input {
    width: 100%;
    background-color: var(--gray-400);
    border: none;
    padding: 20px 15px;
    color: var(--clear);
  }
  #modificar__pedido .pedido__container form button {
    margin: 5px 0px;
    padding: 15px 30px;
  }
  #modificar__pedido .pedido__container .pedido__area {
    padding-bottom: 80px;
  }
  #modificar__pedido .pedido__container .pedido__area .pedido__area__content {
    grid-template-columns: 1fr;
  }
  #modificar__pedido .pedido__container .pedido__area .pedido__itens {
    grid-template-columns: 1fr;
  }
  #modificar__pedido .pedido__container .pedido__area .pedido__status .pedido__area__criado .gavetas__disp {
    grid-template-columns: repeat(2, 1fr);
  }
}
@media (max-width: 868px) {
  #modificar__pedido .pedido__container .pedido__area .pedido__status .pedido__area__depositado {
    flex-direction: column;
    align-items: center;
  }
  #modificar__pedido .pedido__container .pedido__area .pedido__status .pedido__area__depositado label {
    width: 100%;
  }
  #modificar__pedido .pedido__container .pedido__area .pedido__status .pedido__area__depositado label + label {
    margin-top: 20px;
  }
}
@media (max-width: 530px) {
  #modificar__pedido .pedido__container .pedido__area .pedido__status > p {
    font-size: 22px;
  }
  #modificar__pedido .pedido__container .pedido__area .pedido__status button {
    margin-top: 10px;
  }
  #modificar__pedido .pedido__container .pedido__area .pedido__status .pedido__area__criado .gavetas__disp {
    grid-template-columns: 1fr;
  }
  #modificar__pedido .pedido__container .pedido__area .pedido__itens .pedido__item p {
    font-size: 22px;
  }
}

@keyframes desenharCorrect {
  from {
    stroke-dashoffset: 950;
  }
  to {
    stroke-dashoffset: 0;
  }
}
@keyframes desenharError {
  from {
    stroke-dashoffset: 65;
  }
  to {
    stroke-dashoffset: 0;
  }
}
#container__apis {
  width: 100%;
  min-height: 300px;
}
#container__apis p {
  margin: 0px;
}
#container__apis > .rota__item {
  display: none;
}
#container__apis .container_app {
  width: 100%;
  max-width: 1260px;
  margin: 0 auto;
  padding: 0 15px;
  display: flex;
  flex-direction: column;
}
#container__apis .container_app > h2 {
  font-weight: bold;
  margin-bottom: 15px;
  font-size: 36px;
}
#container__apis .container_app > label {
  font-weight: bold;
  margin-bottom: 15px;
  font-size: 18px;
}
#container__apis .container_app > label input {
  width: 100%;
  height: 40px;
  border: 1px solid #ccc;
  border-radius: 5px;
  padding: 0 15px;
  font-size: 16px;
}
#container__apis .container_rotas {
  display: flex;
  flex-direction: column;
  margin-top: 30px;
  padding-bottom: 80px;
  gap: 30px;
}
#container__apis .container_rotas .rota__item {
  display: flex;
  flex-direction: column;
  height: auto;
}
#container__apis .container_rotas .rota__item .rota__item__header {
  background-color: #e5e2e2;
  padding: 15px;
  border-radius: 8px 8px 0 0;
  position: relative;
  display: flex;
  align-items: center;
  justify-content: space-between;
}
#container__apis .container_rotas .rota__item .rota__item__header .header__left {
  display: flex;
  align-items: center;
  gap: 15px;
  width: 80%;
}
#container__apis .container_rotas .rota__item .rota__item__header .header__left .header__response {
  display: flex;
  align-items: center;
  gap: 15px;
}
#container__apis .container_rotas .rota__item .rota__item__header .header__left .header__response button {
  background-color: var(--blue-500);
  transition: all 0.4s;
  border: none;
  border-radius: 5px;
  padding: 5px 10px;
  color: #fff;
  font-weight: bold;
  font-size: 16px;
  cursor: pointer;
}
#container__apis .container_rotas .rota__item .rota__item__header .header__left .header__response button:hover {
  background-color: var(--blue-300);
}
#container__apis .container_rotas .rota__item .rota__item__header .header__left .header__response p {
  font-size: 16px;
  opacity: 0;
  visibility: hidden;
}
#container__apis .container_rotas .rota__item .rota__item__header .header__left .header__response p span {
  font-weight: bold;
  font-size: 16px;
  margin-left: 5px;
  display: inline-block;
}
#container__apis .container_rotas .rota__item .rota__item__header .header__left .header__response #confirmacao__box {
  width: 60px;
  height: 60px;
  display: none;
  align-items: center;
  justify-content: center;
  transition: all 0.4s;
  opacity: 0;
  visibility: hidden;
}
#container__apis .container_rotas .rota__item .rota__item__header .header__left .header__response #confirmacao__box svg {
  width: 40px;
  height: 40px;
  fill: transparent;
  stroke: var(--green);
  stroke-width: 6px;
  stroke-dasharray: 950;
  stroke-dashoffset: 0;
}
#container__apis .container_rotas .rota__item .rota__item__header .header__left .header__response #error_box {
  color: red;
  font-weight: bold;
  font-size: 32px;
  margin-left: 10px;
  display: none;
}
#container__apis .container_rotas .rota__item .rota__item__header .header__left .header__response.success p {
  opacity: 1;
  visibility: visible;
}
#container__apis .container_rotas .rota__item .rota__item__header .header__left .header__response.success #confirmacao__box {
  opacity: 1;
  visibility: visible;
  display: flex;
}
#container__apis .container_rotas .rota__item .rota__item__header .header__left .header__response.success #confirmacao__box svg {
  animation: desenharConfirmacao 1.5s ease-in-out forwards;
}
#container__apis .container_rotas .rota__item .rota__item__header .header__left .header__response.success #error__box {
  display: none;
}
#container__apis .container_rotas .rota__item .rota__item__header .header__left .header__response.error #confirmacao__box {
  display: none;
}
#container__apis .container_rotas .rota__item .rota__item__header .header__left .header__response.error #error_box {
  opacity: 1;
  visibility: visible;
  display: block;
}
#container__apis .container_rotas .rota__item .rota__item__header .header__left #loading_box {
  width: 60px;
  transform: translateX(-60px);
}
#container__apis .container_rotas .rota__item .rota__item__header .header__left #loading_box svg {
  width: 60px;
  height: 50px;
  fill: var(--blue-500);
}
@keyframes desenharConfirmacao {
  from {
    stroke-dashoffset: 950;
  }
  to {
    stroke-dashoffset: 0;
    fill: var(--green);
  }
}
#container__apis .container_rotas .rota__item .rota__item__header .rota__title {
  font-weight: bold;
  font-size: 24px;
  margin-bottom: 5px;
}
#container__apis .container_rotas .rota__item .rota__item__header .rota__description {
  font-size: 16px;
}
#container__apis .container_rotas .rota__item .rota__item__header .rota__description span {
  font-weight: bold;
  font-size: 18px;
}
#container__apis .container_rotas .rota__item .rota__item__header > button {
  position: absolute;
  right: 15px;
  top: 50%;
  transform: translateY(-50%) rotate(90deg);
  background-color: transparent;
  border: none;
  cursor: pointer;
  font-size: 28px;
  transition: all 0.3s ease-in-out;
}
#container__apis .container_rotas .rota__item .rota__item__body {
  padding: 0px;
  height: 0px;
  opacity: 0;
  visibility: hidden;
  border-radius: 0px 0px 8px 8px;
  border-left: 1px solid var(--gray-800);
  border-right: 1px solid var(--gray-800);
  border-bottom: 1px solid var(--gray-800);
  transition: all 0.3s ease-in-out;
  display: flex;
  flex-direction: column;
}
#container__apis .container_rotas .rota__item .rota__item__body #loading_box {
  margin-top: 20px;
}
#container__apis .container_rotas .rota__item .rota__item__body p {
  font-size: 16px;
  opacity: 0;
  visibility: hidden;
}
#container__apis .container_rotas .rota__item .rota__item__body p span {
  font-weight: bold;
  font-size: 18px;
  margin-left: 5px;
  display: inline-block;
}
#container__apis .container_rotas .rota__item .rota__item__body > p,
#container__apis .container_rotas .rota__item .rota__item__body > div:not(#loading_box) {
  border-bottom: 1px solid var(--gray-600);
  padding: 0px 0px;
  opacity: 0;
  visibility: hidden;
}
#container__apis .container_rotas .rota__item .rota__item__body .rota__item__body__container {
  display: flex;
  gap: 15px;
}
#container__apis .container_rotas .rota__item .rota__item__body .body__parametros {
  display: flex;
  flex-direction: column;
  margin-bottom: 0px;
  opacity: 0;
  visibility: hidden;
  width: 50%;
}
#container__apis .container_rotas .rota__item .rota__item__body .body__parametros .editor_container {
  margin-top: 0px;
  height: 0px;
  overflow: hidden;
  word-wrap: break-word !important;
  white-space: pre-wrap;
  overflow: hidden;
}
#container__apis .container_rotas .rota__item .rota__item__enviar {
  margin-top: 0px;
  padding: 0px;
  border-radius: 4px;
  border: 1px solid #3b3b3b;
  margin-top: 15px;
  cursor: pointer;
  transition: all 0.3s ease-in-out;
  background-color: var(--blue-500);
  color: var(--white);
  font-weight: bold;
  font-size: 16px;
  align-self: start;
}
#container__apis .container_rotas .rota__item .rota__item__enviar:hover, #container__apis .container_rotas .rota__item .rota__item__enviar:focus {
  background-color: var(--blue-300);
}
#container__apis .container_rotas .rota__item .container_response {
  opacity: 0;
  visibility: hidden;
  transition: all 0.3s ease-in-out;
  display: flex;
  flex-direction: column;
  position: relative;
}
#container__apis .container_rotas .rota__item .container_response p {
  font-size: 16px;
  opacity: 0;
  visibility: hidden;
}
#container__apis .container_rotas .rota__item .container_response p span {
  font-weight: bold;
  font-size: 18px;
  margin-left: 5px;
  display: inline-block;
}
#container__apis .container_rotas .rota__item .container_response > p,
#container__apis .container_rotas .rota__item .container_response > div:not(#loading_box) {
  padding: 0px 0px;
  opacity: 0;
  visibility: hidden;
}
#container__apis .container_rotas .rota__item .container_response .editor_container {
  margin-top: 0px;
  height: 0px;
  overflow: hidden;
  word-wrap: break-word !important;
  white-space: pre-wrap;
  overflow: hidden;
}
#container__apis .container_rotas .rota__item .container_response .button_remove {
  position: absolute;
  right: 15px;
  top: 15px;
  background-color: var(--red);
  color: var(--white);
  border: none;
  cursor: pointer;
  padding: 5px 10px;
  border-radius: 6px;
  font-size: 16px;
  transition: all 0.3s ease-in-out;
}
#container__apis .container_rotas .rota__item.active .rota__item__header > button {
  transform: translateY(-50%) rotate(-90deg);
}
#container__apis .container_rotas .rota__item.active .rota__item__body {
  min-height: 650px;
  height: auto;
  padding: 15px;
  visibility: visible;
  opacity: 1;
}
#container__apis .container_rotas .rota__item.active .rota__item__body p {
  opacity: 1;
  visibility: visible;
}
#container__apis .container_rotas .rota__item.active .rota__item__body > p,
#container__apis .container_rotas .rota__item.active .rota__item__body > div:not(#loading_box) {
  padding: 10px 0;
  opacity: 1;
  visibility: visible;
}
#container__apis .container_rotas .rota__item.active .rota__item__body .body__parametros {
  opacity: 1;
  visibility: visible;
  margin-bottom: 15px;
}
#container__apis .container_rotas .rota__item.active .rota__item__body .body__parametros .editor_container {
  min-height: 400px;
  margin-top: 15px;
}
#container__apis .container_rotas .rota__item.active .rota__item__enviar {
  margin-top: auto;
  padding: 10px 30px;
}
#container__apis .container_rotas .rota__item.active .container_response {
  height: auto;
  visibility: visible;
  opacity: 1;
  margin-bottom: 15px;
}
#container__apis .container_rotas .rota__item.active .container_response p {
  opacity: 1;
  visibility: visible;
}
#container__apis .container_rotas .rota__item.active .container_response > p,
#container__apis .container_rotas .rota__item.active .container_response > div:not(#loading_box) {
  padding: 10px 0;
  opacity: 1;
  visibility: visible;
}
#container__apis .container_rotas .rota__item.active .container_response .editor_container {
  min-height: 200px;
  margin-top: 15px;
}

body {
  min-height: 100vh;
}

.navbar {
  margin-bottom: 0px !important;
}

#nossos_mapas.container-fluid {
  height: 100%;
  padding: 0px !important;
}

.map__container {
  display: flex;
  position: relative;
  transition: all 0.4s ease-in-out;
  overflow-y: hidden;
  border-top: 3px solid #000;
}
.map__container #map {
  height: calc(100vh - 103px);
  min-width: 700px;
  width: 100%;
  z-index: 1;
  transition: all 0.4s ease-in-out;
}
.map__container #map .leaflet-marker-icon {
  z-index: 100;
}
.map__container #map .leaflet-marker-icon.offline {
  z-index: 101;
  animation: blink 1s linear infinite;
}
.map__container #map__info__locker {
  width: 400px;
  height: calc(70vh - 103px);
  padding: 20px;
  position: absolute;
  bottom: 0;
  right: 60px;
  z-index: 2;
  background-color: #f9c815;
  border-radius: 8px 8px 0 0;
  box-shadow: 0px 0px 10px 5px rgba(0, 0, 0, 0.7);
  outline: 5px solid #fff;
  transition: all 0.4s ease-in-out;
  transform: translateY(105%);
  text-align: left;
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  font-family: "Montserrat", sans-serif;
}
.map__container #map__info__locker h3 {
  font-size: 24px;
  font-weight: bold;
  color: #242020;
  margin: 0;
  margin-bottom: 20px;
  display: block;
  position: relative;
}
.map__container #map__info__locker h3::after {
  content: "";
  position: absolute;
  bottom: -10px;
  left: 0;
  width: 30px;
  height: 3px;
  background-color: #444444;
}
.map__container #map__info__locker p {
  font-size: 16px;
  margin: 0;
  margin-bottom: 5px;
  color: #555454;
}
.map__container #map__info__locker p span {
  font-weight: bold;
  font-size: 18px;
}
.map__container #map__info__locker button:not(#info__close) {
  display: block;
  margin-top: auto;
  padding: 15px 20px;
  border: none;
  border-radius: 8px;
  background-color: #242020;
  color: #f9c815;
  font-size: 16px;
  font-weight: bold;
  cursor: pointer;
  transition: all 0.4s ease-in-out;
}
.map__container #map__info__locker button:not(#info__close) i {
  margin-left: 10px;
}
.map__container #map__info__locker button:not(#info__close):hover {
  background-color: #000;
}
.map__container #map__info__locker #info__close {
  position: absolute;
  top: 10px;
  right: 10px;
  width: 30px;
  height: 30px;
  border: none;
  border-radius: 8px;
  background-color: #d98c8c;
  display: flex;
  align-items: center;
  justify-content: center;
  cursor: pointer;
  transition: all 0.4s ease-in-out;
}
.map__container #map__info__locker #info__close:hover {
  background-color: #ec7777;
}
.map__container .map__filter__container {
  opacity: 0;
  transition: all 0.4s ease-in-out;
  position: absolute;
  top: 40px;
  left: 50%;
  transform: translateX(-50%);
  width: clamp(300px, 60%, 800px);
  z-index: 999;
  box-shadow: 0px 0px 10px 5px rgba(0, 0, 0, 0.6);
  border-radius: 8px;
}
.map__container .map__filter__container button {
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  right: 50px;
  width: 40px;
  height: 30px;
  background-color: #fff;
  border: none;
  border-radius: 8px;
  box-shadow: 0px 0px 5px rgba(0, 0, 0, 0.2);
  display: flex;
  align-items: center;
  justify-content: center;
  cursor: pointer;
  transition: all 0.4s ease-in-out;
}
.map__container .map__filter__container button:hover {
  background-color: #f2f2f2;
}
.map__container .map__filter__container.active {
  opacity: 1;
}
.map__container .map__filter {
  background-color: #fff;
  border-radius: 8px;
  font-size: 16px;
  outline: none;
  border: 1px solid #ccc;
  transition: all 0.4s ease-in-out;
  margin-bottom: 0px !important;
  border-radius: 8px;
}
.map__container .map__filter .option_offline {
  background-color: #edabab;
  color: #000;
  transition: all 0.4s ease-in-out;
}
.map__container .map__filter .option_offline:hover {
  background-color: #d98c8c !important;
}
.map__container.active #map__info__locker {
  transform: translateY(0%);
}

.leaflet-marker-icon,
.leaflet-marker-shadow { /* Safari, Chrome and Opera > 12.1 */ /* Firefox < 16 */ /* Internet Explorer */ /* Opera < 12.1 */
  animation: fadein 1s;
}

@keyframes fadein {
  from {
    opacity: 0;
  }
  to {
    opacity: 1;
  }
}
/* Firefox < 16 */
/* Safari, Chrome and Opera > 12.1 */
/* Internet Explorer */
/* Opera < 12.1 */
@keyframes blink {
  0% {
    opacity: 0;
  }
  50% {
    opacity: 1;
  }
  100% {
    opacity: 0;
  }
}
